<template>
	<div class="info-rewards" v-on:click="$emit('closeinforewards')">
		<div class="inner azure-gradient ">
			<div class="medium-font uppercase align-center bold green-color">{{ getLocale('rewards') }}</div>
			
			<div class="regular-rewards flex h-center">
				<div class="bytes flex v-center h-right">
					<div class="very-large-font align-center">
						+<number-changer :number="bytes" ></number-changer>
					</div>
					<bytes-icon class="icon" color="#B3EDFF"/>
				</div>
				
				<div class="info-fragment flex v-center" v-if="rewards.info">
					<div class="align-right flex v-center">
						<div class="text" v-html="getLocale('info_fragment_found')"></div>
						<svg style="width:24px;height:24px" viewBox="0 0 24 24">
							<path fill="#B3EDFF" d="M21 11.1V8C21 6.9 20.1 6 19 6H11L9 4H3C1.9 4 1 4.9 1 6V18C1 19.1 1.9 20 3 20H10.3C11.6 21.9 13.8 23 16 23C19.9 23 23 19.9 23 16C23 14.2 22.3 12.4 21 11.1M16 21C13.2 21 11 18.8 11 16S13.2 11 16 11 21 13.2 21 16 18.8 21 16 21M17 20H15V15H17V20M17 14H15V12H17V14Z" />
						</svg>
					</div>
				</div>
			</div>
			
			<div class="special-rewards" v-if="rewards.milestone">
				<div class="medium-font uppercase align-center bold green-color">{{ getLocale('milestone_rewards') }}</div>
				<div class="small-row-padding align-center lightestazure-color">{{ rewards.milestone }} {{ getLocale('info_fragments') }}</div>
				
				<vairus-card 
					show_footer="true"
					:vairus="rewards.vairus"
					:highlighted="false"
					:stats="false"
				/>
				
				<div v-if="rewards.keys" class="keys">
					<div class="key" v-for="(value, key) in rewards.keys">
						<div v-if="value > 0" class="wrapper flex">
							<div>{{value}}</div>
							<div class="icon" :style="{ 'background-image' : getKeyImage(key+1) }"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>


<script>
	import { commonMixin } from '../mixins/common.js';
	import NumberChanger from '../components/NumberChanger.vue';
	import BytesIcon from '../components/BytesIcon.vue';
	import VairusCard from '../components/VairusCard.vue';
	import seedrandom from 'seedrandom';
	
	export default {
		props: ['rewards'],
		mixins: [commonMixin],
		components: { NumberChanger, BytesIcon, VairusCard },
		data: function () {
			return{
				bytes : 0,
			}
		},
		mounted(){
			setTimeout(function(){
				this.bytes = this.rewards.bytes;
			}.bind(this),300);
		}
	}
</script>


<style lang="scss">
	@import "../styles/variables";
	
	.info-rewards{
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 2147483647;
		
		.inner{
			position: absolute;
			top: 50%;
			left: 50%;
			min-width: 200px;
			max-width: 550px;
			transform: translate(-50%,-50%);
			padding: 20px;
			color: $lightestazure;
			border-radius: 10px;
			background: radial-gradient(ellipse at center, rgba(0,0,0,0.9) 0%, rgba(14,45,63,0.9) 100%);
			cursor: pointer;
			
			.regular-rewards{
				margin-top: 10px;
				
				.bytes{
					min-width: 180px;
				}
				
				.info-fragment{
					margin-left: 50px;
					
					.text{
						margin-right: 10px;
					}
				}
			}
			
			.special-rewards{
				border-top: 2px solid $lightestazure;
				margin-top: 20px;
				padding-top: 20px;
				
				.vairus-card{
					margin: 10px auto;
				}
				
				.keys{
					text-align: center;
					padding-top: 10px;
					
					.key{
						display: inline-block;
						
						.wrapper{
							margin: 10px;
						}
					}
					.icon{
						width: 24px;
						height: 24px;
						background-size: cover;
					}
				}
			}
		}
	}
</style>

